@import "src/app/core/sass/abstracts/mixins";

.tw {
  &__container {
    margin-top: 10vh;

    @include respond(phone) {
      margin-top: 20vh;
    }

    @include respond(big-desktop) {
      margin-top: 20vh;
    }
  }

  &__finished {
    border-right-color: transparent !important;
    animation: none !important;
  }

  &__profile-image {
    border-radius: 50%;
    width: 20%;
    margin-bottom: 5rem;
    filter: grayscale(100);
    cursor: pointer;
    border: .2rem solid black;
    transition: all .2s;

    &:hover {
      transform: translateY(-1rem);
      box-shadow: 0 1rem 2rem rgba(black,.2);
    }

    @media (max-width: 62.5em) {
      width: 20%;
    }

    @include respond(tab-port) {
      width: 25%;
    }

    @media (max-width: 50em) {
      width: 30%;
    }

    @include respond(phone) {
      width: 35%;
      margin-bottom: 4rem;
      margin-top: 1rem;
    }
  }
}

.line {
  margin: 0 auto;
  border-right: .2rem solid transparent;
  font-size: 4rem;
  text-align: center;
  white-space: nowrap;
  overflow: hidden;
  font-weight: bold;

  @include respond(tab-land) {
    font-size: 2.5rem;
  }

  @media (max-width: 46.25em) {
    font-size: 2rem;
  }

  @include respond(phone) {
    font-size: 1rem;
  }

  &--1 {
    width: 65%;
  }

  &--2 {
    width: 100%;
  }

  &--4 {
    width: 75%;
  }
}

/* Animation */
.anim-typewriter {
  &--1 {
    animation: typewriter-1 3.5s steps(44) 1s 1 normal both,
    blinkTextCursor 500ms steps(44) infinite normal;
  }

  &--2 {
    animation: typewriter-2 3.5s steps(44) 5s 1 normal both,
    blinkTextCursor 500ms steps(44) 5s infinite normal;
  }

  &--3 {
    animation: typewriter-2 3.5s steps(44) 10s 1 normal both,
    blinkTextCursor 500ms steps(44) 10s infinite normal;
  }

  &--4 {
    animation: typewriter-4 3.5s steps(44) 15s 1 normal both,
    blinkTextCursor 500ms steps(44) 15s infinite normal;
  }
}

@keyframes typewriter-1 {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

@keyframes typewriter-2 {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}

@keyframes typewriter-4 {
  from {
    width: 0;
  }
  to {
    width: 75%;
  }
}

@keyframes blinkTextCursor {
  from {
    border-right-color: rgb(0, 0, 0);
  }
  to {
    border-right-color: transparent;
  }
}

.row:last-child {
  margin-top: 8rem;

  @media (max-height: 800px) {
    margin-top: 5rem;
  }

  @include respond(phone){
    margin-top: 5rem;
  }
}

.link-text {
  font-size: 1.6rem;
  text-align: center;
  font-weight: bold;


  @include respond(phone) {
    font-size: 1rem;
  }
}

.link-span {
  transition: all .2s;
  margin: .5rem;
  display: inline-flex;
  align-items: center;
  max-height: 6rem;

  &:hover {
    cursor: pointer;
    transform: scale(1.03) translateY(-2rem);
    background-color: black;
    color: white;
    box-shadow: 0 0 11px rgba(33,33,33,.2);
    padding: .5rem;
  }
}

.delayed {
  animation-delay: 20s;
}

.link-arrow {
  font-size: 3rem;
  display: inline-flex;
  align-items: center;
  padding: 0 1.5rem;
  margin-bottom: .3rem;

  @include respond(phone) {
    font-size: 2rem;
  }
}
